Subject: [Emu] draft-ietf-emu-eap-noob-01: Outdated statement in Initial Exchange description

From: Max Crone <[email-masked]>
Date: Fri, 5 Jun 2020 15:05:17 +0300

Hi,

I noticed that the current draft version of EAP-NOOB still contains an 
outdated sentence in the description of the Initial Exchange.

3.2.2
     The server allocates a new PeerId in the Initial Exchange regardless
     of any old PeerId in the username part of the received NAI.

However, the PeerId is not sent as part of the NAI anymore because of 
earlier privacy concerns. I would suggest to change it to the following.

     The server allocates a new PeerId in the Initial Exchange regardless
     of any old PeerId sent by the peer during the common handshake.

With kind regards,

Max Crone